Index Page orderi_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       void orderi_c ( ConstSpiceInt  * array,
                       SpiceInt         ndim,
                       SpiceInt       * iorder )
#### Abstract
       Determine the order of elements in an integer array.
#### Required_Reading
       None.
#### Keywords
       ARRAY,  SORT
#### Brief_I/O
       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       array      I    Input array.
       ndim       I    Dimension of array.
       iorder     O    Order vector for array.
#### Detailed_Input
       array       is the input array.

       ndim        is the number of elements in the input array.
#### Detailed_Output
       iorder      is the order vector for the input array.
                   iorder[0] is the index of the smallest element
                   of array; iorder[1] is the index of the next
                   smallest; and so on.

                   The elements of iorder range from zero to ndim-1.
#### Parameters
       None.
#### Exceptions
       1) A negative input dimension causes this routine to
          leave the output order vector unchanged.

       This routine is error free.
#### Files
       None.
#### Particulars
       orderi_c finds the index of the smallest element of the input
       array. This becomes the first element of the order vector.
       The process is repeated for the rest of the elements.

       The order vector returned by orderi_c may be used by any of
       the reord*_c routines to sort sets of related arrays, as shown
       in the example below.
#### Examples
       In the following example, the order*_c and reord*_c routines are
       used to sort four related arrays (containing the names,
       masses, integer ID codes, and visual magnitudes for a group
       of satellites). This is representative of the typical use of
       these routines.

          #include "SpiceUsr.h"
                .
                .
                .
          /.
          Sort the object arrays by ID code.
          ./

          orderi_c ( codes,  n,         iorder );

          reordc_c ( iorder, n, namlen, names  );
          reordd_c ( iorder, n,         masses );
          reordi_c ( iorder, n,         codes  );
          reordd_c ( iorder, n,         vmags  );
#### Restrictions
       None.
#### Literature_References
       None.
#### Author_and_Institution
       N.J. Bachman    (JPL)
       I.M. Underwood  (JPL)
#### Version
       -CSPICE Version 1.0.1, 23-MAR-2010 (NJB)

          Header example was updated to show use of this routine.
          Exceptions section was updated. Header sections were
          re-ordered.

       -CSPICE Version 1.0.0, 08-JUL-2002 (NJB) (IMU)
#### Index_Entries
       order of an integer array
#### Link to routine orderi_c source file orderi_c.c

    Wed Jun  9 13:05:27 2010